Bug 1098998 - VUL-0: MozillaFirefox: 52.9esr/60.1.0esr/61 release
VUL-0: MozillaFirefox: 52.9esr/60.1.0esr/61 release
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Petr Cerny
Security Team bot
CVSSv2:NVD:CVE-2018-12358:4.3:(AV:N/A...
:
Depends on: 1100780 1106966
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-25 11:59 UTC by Marcus Meissner
Modified: 2021-11-16 11:40 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-06-25 11:59:00 UTC
will be released June 26th
Comment 1 Wolfgang Rosenauer 2018-06-26 05:58:15 UTC
Firefox 61.0 for Factory/TW:
- requires new NSS already pending for TW
- https://build.opensuse.org/package/show/mozilla:Factory/MozillaFirefox
- TODO: changelog update once security announcement is public

Firefox 60.1.0esr for Leap 42.3/15.0:
- https://build.opensuse.org/package/show/mozilla/firefox60
- TODO: changelog update once security announcement is public

Firefox 52.9.0esr for ???:
- https://build.opensuse.org/package/show/mozilla/firefox52
- still being updated; should be finished this morning hopefully
- TODO: changelog update once security announcement is public
Comment 2 Swamp Workflow Management 2018-06-26 19:20:05 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/619201 15.0+42.3 / MozillaFirefox
Comment 3 Marcus Meissner 2018-06-27 06:11:59 UTC
https://www.mozilla.org/en-US/security/advisories/mfsa2018-17/


Mozilla Foundation Security Advisory 2018-17
Security vulnerabilities fixed in Firefox ESR 52.9

Announced
    June 26, 2018
Impact
    critical
Products
    Firefox ESR
Fixed in

        Firefox ESR 52.9

#CVE-2018-12359: Buffer overflow using computed size of canvas element

Reporter
    Nils
Impact
    critical

Description

A buffer overflow can occur when rendering canvas content while adjusting the height and width of the <canvas> element dynamically, causing data to be written outside of the currently computed boundaries. This results in a potentially exploitable crash.
References

    Bug 1459162

#CVE-2018-12360: Use-after-free when using focus()

Reporter
    Nils
Impact
    critical

Description

A use-after-free vulnerability can occur when deleting an input element during a mutation event handler triggered by focusing that element. This results in a potentially exploitable crash.
References

    Bug 1459693

#CVE-2018-12362: Integer overflow in SSSE3 scaler

Reporter
    F. Alonso (revskills)
Impact
    high

Description

An integer overflow can occur during graphics operations done by the Supplemental Streaming SIMD Extensions 3 (SSSE3) scaler, resulting in a potentially exploitable crash.
References

    Bug 1452375

#CVE-2018-5156: Media recorder segmentation fault when track type is changed during capture

Reporter
    Nils
Impact
    high

Description

A vulnerability can occur when capturing a media stream when the media source type is changed as the capture is occuring. This can result in stream data being cast to the wrong type causing a potentially exploitable crash.
References

    Bug 1453127

#CVE-2018-12363: Use-after-free when appending DOM nodes

Reporter
    Nils
Impact
    high

Description

A use-after-free vulnerability can occur when script uses mutation events to move DOM nodes between documents, resulting in the old document that held the node being freed but the node still having a pointer referencing it. This results in a potentially exploitable crash.
References

    Bug 1464784

#CVE-2018-12364: CSRF attacks through 307 redirects and NPAPI plugins

Reporter
    David Black
Impact
    high

Description

NPAPI plugins, such as Adobe Flash, can send non-simple cross-origin requests, bypassing CORS by making a same-origin POST that does a 307 redirect to the target site. This allows for a malicious site to engage in cross-site request forgery (CSRF) attacks.
References

    Bug 1436241

#CVE-2018-12365: Compromised IPC child process can list local filenames

Reporter
    Alex Gaynor
Impact
    moderate

Description

A compromised IPC child process can escape the content sandbox and list the names of arbitrary files on the file system without user consent or interaction. This could result in exposure of private local files.
References

    Bug 1459206

#CVE-2018-12366: Invalid data handling during QCMS transformations

Reporter
    OSS-Fuzz
Impact
    moderate

Description

An invalid grid size during QCMS (color profile) transformations can result in the out-of-bounds read interpreted as a float value. This could leak private data into the output.
References

    Bug 1464039

#CVE-2018-12368: No warning when opening executable SettingContent-ms files

Reporter
    Abdulrahman Alqabandi
Impact
    moderate

Description

Windows 10 does not warn users before opening executable files with the SettingContent-ms extension even when they have been downloaded from the internet and have the "Mark of the Web." Without the warning, unsuspecting users unfamiliar with this new file type might run an unwanted executable. This also allows a WebExtension with the limited downloads.open permission to execute arbitrary code without user interaction on Windows 10 systems
Note: this issue only affects Windows operating systems. Other operating systems are unaffected.
References

    Bug 1468217
    The Tale of SettingContent-ms Files

#CVE-2018-5188: Memory safety bugs fixed in Firefox 60, Firefox ESR 60.1, and Firefox ESR 52.9

Reporter
    Mozilla developers and community
Impact
    critical

Description

Mozilla developers and community members Alex Gaynor, Christoph Diehl, Christian Holler, Jason Kratzer, David Major, Jon Coppeard, Nicolas B. Pierron, Jason Kratzer, Marcia Knous, and Ronald Crane reported memory safety bugs present in Firefox 60, Firefox ESR 60, and Firefox ESR 52.8. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
References

    Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, and Firefox ESR 52.9
Comment 4 Marcus Meissner 2018-06-27 06:13:21 UTC
https://www.mozilla.org/en-US/security/advisories/mfsa2018-15/


Mozilla Foundation Security Advisory 2018-15
Security vulnerabilities fixed in Firefox 61

Announced
    June 26, 2018
Impact
    critical
Products
    Firefox
Fixed in

        Firefox 61

#CVE-2018-12359: Buffer overflow using computed size of canvas element

Reporter
    Nils
Impact
    critical

Description

A buffer overflow can occur when rendering canvas content while adjusting the height and width of the <canvas> element dynamically, causing data to be written outside of the currently computed boundaries. This results in a potentially exploitable crash.
References

    Bug 1459162

#CVE-2018-12360: Use-after-free when using focus()

Reporter
    Nils
Impact
    critical

Description

A use-after-free vulnerability can occur when deleting an input element during a mutation event handler triggered by focusing that element. This results in a potentially exploitable crash.
References

    Bug 1459693

#CVE-2018-12361: Integer overflow in SwizzleData

Reporter
    R
Impact
    critical

Description

An integer overflow can occur in the SwizzleData code while calculating buffer sizes. The overflowed value is used for subsequent graphics computations when their inputs are not sanitized which results in a potentially exploitable crash.
References

    Bug 1463244

#CVE-2018-12358: Same-origin bypass using service worker and redirection

Reporter
    Ben Kelly
Impact
    high

Description

Service workers can use redirection to avoid the tainting of cross-origin resources in some instances, allowing a malicious site to read responses which are supposed to be opaque.
References

    Bug 1467852

#CVE-2018-12362: Integer overflow in SSSE3 scaler

Reporter
    F. Alonso (revskills)
Impact
    high

Description

An integer overflow can occur during graphics operations done by the Supplemental Streaming SIMD Extensions 3 (SSSE3) scaler, resulting in a potentially exploitable crash.
References

    Bug 1452375

#CVE-2018-5156: Media recorder segmentation fault when track type is changed during capture

Reporter
    Nils
Impact
    high

Description

A vulnerability can occur when capturing a media stream when the media source type is changed as the capture is occuring. This can result in stream data being cast to the wrong type causing a potentially exploitable crash.
References

    Bug 1453127

#CVE-2018-12363: Use-after-free when appending DOM nodes

Reporter
    Nils
Impact
    high

Description

A use-after-free vulnerability can occur when script uses mutation events to move DOM nodes between documents, resulting in the old document that held the node being freed but the node still having a pointer referencing it. This results in a potentially exploitable crash.
References

    Bug 1464784

#CVE-2018-12364: CSRF attacks through 307 redirects and NPAPI plugins

Reporter
    David Black
Impact
    high

Description

NPAPI plugins, such as Adobe Flash, can send non-simple cross-origin requests, bypassing CORS by making a same-origin POST that does a 307 redirect to the target site. This allows for a malicious site to engage in cross-site request forgery (CSRF) attacks.
References

    Bug 1436241

#CVE-2018-12365: Compromised IPC child process can list local filenames

Reporter
    Alex Gaynor
Impact
    moderate

Description

A compromised IPC child process can escape the content sandbox and list the names of arbitrary files on the file system without user consent or interaction. This could result in exposure of private local files.
References

    Bug 1459206

#CVE-2018-12371: Integer overflow in Skia library during edge builder allocation

Reporter
    anonymous
Impact
    moderate

Description

An integer overflow vulnerability in the Skia library when allocating memory for edge builders on some systems with at least 16 GB of RAM. This results in the use of uninitialized memory, resulting in a potentially exploitable crash.
References

    Bug 1465686

#CVE-2018-12366: Invalid data handling during QCMS transformations

Reporter
    OSS-Fuzz
Impact
    moderate

Description

An invalid grid size during QCMS (color profile) transformations can result in the out-of-bounds read interpreted as a float value. This could leak private data into the output.
References

    Bug 1464039

#CVE-2018-12367: Timing attack mitigation of PerformanceNavigationTiming

Reporter
    Andrea Marchesini
Impact
    moderate

Description

In the previous mitigations for Spectre, the resolution or precision of various methods was reduced to counteract the ability to measure precise time intervals. In that work, PerformanceNavigationTiming was not adjusted but it was found that it could be used as a precision timer.
References

    Bug 1462891

#CVE-2018-12368: No warning when opening executable SettingContent-ms files

Reporter
    Abdulrahman Alqabandi
Impact
    moderate

Description

Windows 10 does not warn users before opening executable files with the SettingContent-ms extension even when they have been downloaded from the internet and have the "Mark of the Web." Without the warning, unsuspecting users unfamiliar with this new file type might run an unwanted executable. This also allows a WebExtension with the limited downloads.open permission to execute arbitrary code without user interaction on Windows 10 systems
Note: this issue only affects Windows operating systems. Other operating systems are unaffected.
References

    Bug 1468217
    The Tale of SettingContent-ms Files

#CVE-2018-12369: WebExtension security permission checks bypassed by embedded experiments

Reporter
    Jonathan Kingston
Impact
    moderate

Description

WebExtensions bundled with embedded experiments were not correctly checked for proper authorization. This allowed a malicious WebExtension to gain full browser permissions.
References

    Bug 1454909

#CVE-2018-12370: SameSite cookie protections bypassed when exiting Reader View

Reporter
    Jun Kokatsu
Impact
    low

Description

In Reader View SameSite cookie protections are not checked on exiting. This allows for a payload to be triggered when Reader View is exited if loaded by a malicious site while Reader mode is active, bypassing CSRF protections.
References

    Bug 1456652

#CVE-2018-5186: Memory safety bugs fixed in Firefox 61

Reporter
    Mozilla developers and community
Impact
    critical

Description

Mozilla developers and community members Christian Holler, Jason Kratzer, Jon Coppeard, Randell Jesup, Ronald Crane, and Boris Zbarsky reported memory safety bugs present in Firefox 60. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
References

    Memory safety bugs fixed in Firefox 61

#CVE-2018-5187: Memory safety bugs fixed in Firefox 60 and Firefox ESR 60.1

Reporter
    Mozilla developers and community
Impact
    critical

Description

Mozilla developers and community members Christian Holler, Sebastian Hengst, Nils Ohlmeier, Jon Coppeard, Randell Jesup, Ted Campbell, Gary Kwong, and Jean-Yves Avenard reported memory safety bugs present in Firefox 60 and Firefox ESR 60. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
References

    Memory safety bugs fixed in Firefox 61 and Firefox ESR 60.1

#CVE-2018-5188: Memory safety bugs fixed in Firefox 60, Firefox ESR 60.1, and Firefox ESR 52.9

Reporter
    Mozilla developers and community
Impact
    critical

Description

Mozilla developers and community members Alex Gaynor, Christoph Diehl, Christian Holler, Jason Kratzer, David Major, Jon Coppeard, Nicolas B. Pierron, Jason Kratzer, Marcia Knous, and Ronald Crane reported memory safety bugs present in Firefox 60, Firefox ESR 60, and Firefox ESR 52.8. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
References

    Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, and Firefox ESR 52.9
Comment 5 Swamp Workflow Management 2018-06-27 12:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/619392 15.0+42.3 / MozillaFirefox
Comment 6 Swamp Workflow Management 2018-06-28 13:08:11 UTC
openSUSE-SU-2018:1833-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1098998
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12361,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12367,CVE-2018-12369,CVE-2018-12371,CVE-2018-5156,CVE-2018-5187,CVE-2018-5188
Sources used:
openSUSE Leap 42.3 (src):    MozillaFirefox-60.1.0-106.1
openSUSE Leap 15.0 (src):    MozillaFirefox-60.1.0-lp150.3.11.1
Comment 10 Swamp Workflow Management 2018-07-04 06:40:24 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/620539 Factory / MozillaThunderbird
https://build.opensuse.org/request/show/620540 15.0 / MozillaThunderbird
https://build.opensuse.org/request/show/620541 42.3 / MozillaThunderbird
Comment 11 Swamp Workflow Management 2018-07-04 09:20:24 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/620589 15.0+42.3+Backports:SLE-12 / MozillaThunderbird
Comment 13 Swamp Workflow Management 2018-07-04 14:40:22 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/620628 15.0+42.3+Backports:SLE-12 / MozillaThunderbird
Comment 15 Swamp Workflow Management 2018-07-04 22:50:19 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/620659 15.0+42.3+Backports:SLE-12 / MozillaThunderbird
Comment 17 Swamp Workflow Management 2018-07-06 22:08:40 UTC
openSUSE-SU-2018:1905-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1076907,1085780,1091376,1098998,1100079,1100081,1100082
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12372,CVE-2018-12373,CVE-2018-12374,CVE-2018-5188
Sources used:
openSUSE Leap 42.3 (src):    MozillaThunderbird-52.9.0-68.1
openSUSE Leap 15.0 (src):    MozillaThunderbird-52.9.0-lp150.3.8.1
Comment 18 Swamp Workflow Management 2018-07-06 22:10:40 UTC
openSUSE-SU-2018:1907-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1076907,1085780,1091376,1098998,1100079,1100081,1100082
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12372,CVE-2018-12373,CVE-2018-12374,CVE-2018-5188
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    MozillaThunderbird-52.9.0-65.1
Comment 21 Swamp Workflow Management 2018-08-02 16:10:40 UTC
SUSE-SU-2018:2174-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1076907,1085780,1091376,1098998,1100079,1100081,1100082,1100780
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12372,CVE-2018-12373,CVE-2018-12374,CVE-2018-5188
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    MozillaThunderbird-52.9.1-3.7.1
Comment 22 Swamp Workflow Management 2018-08-07 14:00:32 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/627876 15.0 / seamonkey
https://build.opensuse.org/request/show/627877 42.3 / seamonkey
Comment 23 Marcus Meissner 2018-08-08 11:33:54 UTC
https://www.mozilla.org/en-US/security/advisories/mfsa2018-19/#CVE-2018-12359


Security vulnerabilities fixed in Thunderbird 60

Announced
    August 6, 2018
Impact
    critical
Products
    Thunderbird
Fixed in

        Thunderbird 60

In general, these flaws cannot be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.
#CVE-2018-12359: Buffer overflow using computed size of canvas element

Reporter
    Nils
Impact
    critical

Description

A buffer overflow can occur when rendering canvas content while adjusting the height and width of the <canvas> element dynamically, causing data to be written outside of the currently computed boundaries. This results in a potentially exploitable crash.
References

    Bug 1459162

#CVE-2018-12360: Use-after-free when using focus()

Reporter
    Nils
Impact
    critical

Description

A use-after-free vulnerability can occur when deleting an input element during a mutation event handler triggered by focusing that element. This results in a potentially exploitable crash.
References

    Bug 1459693

#CVE-2018-12361: Integer overflow in SwizzleData

Reporter
    R
Impact
    critical

Description

An integer overflow can occur in the SwizzleData code while calculating buffer sizes. The overflowed value is used for subsequent graphics computations when their inputs are not sanitized which results in a potentially exploitable crash.
References

    Bug 1463244

#CVE-2018-12362: Integer overflow in SSSE3 scaler

Reporter
    F. Alonso (revskills)
Impact
    high

Description

An integer overflow can occur during graphics operations done by the Supplemental Streaming SIMD Extensions 3 (SSSE3) scaler, resulting in a potentially exploitable crash.
References

    Bug 1452375

#CVE-2018-5156: Media recorder segmentation fault when track type is changed during capture

Reporter
    Nils
Impact
    high

Description

A vulnerability can occur when capturing a media stream when the media source type is changed as the capture is occuring. This can result in stream data being cast to the wrong type causing a potentially exploitable crash.
References

    Bug 1453127

#CVE-2018-12363: Use-after-free when appending DOM nodes

Reporter
    Nils
Impact
    high

Description

A use-after-free vulnerability can occur when script uses mutation events to move DOM nodes between documents, resulting in the old document that held the node being freed but the node still having a pointer referencing it. This results in a potentially exploitable crash.
References

    Bug 1464784

#CVE-2018-12364: CSRF attacks through 307 redirects and NPAPI plugins

Reporter
    David Black
Impact
    high

Description

NPAPI plugins, such as Adobe Flash, can send non-simple cross-origin requests, bypassing CORS by making a same-origin POST that does a 307 redirect to the target site. This allows for a malicious site to engage in cross-site request forgery (CSRF) attacks.
References

    Bug 1436241

#CVE-2018-12365: Compromised IPC child process can list local filenames

Reporter
    Alex Gaynor
Impact
    moderate

Description

A compromised IPC child process can escape the content sandbox and list the names of arbitrary files on the file system without user consent or interaction. This could result in exposure of private local files.
References

    Bug 1459206

#CVE-2018-12371: Integer overflow in Skia library during edge builder allocation

Reporter
    anonymous
Impact
    moderate

Description

An integer overflow vulnerability in the Skia library when allocating memory for edge builders on some systems with at least 16 GB of RAM. This results in the use of uninitialized memory, resulting in a potentially exploitable crash.
References

    Bug 1465686

#CVE-2018-12366: Invalid data handling during QCMS transformations

Reporter
    OSS-Fuzz
Impact
    moderate

Description

An invalid grid size during QCMS (color profile) transformations can result in the out-of-bounds read interpreted as a float value. This could leak private data into the output.
References

    Bug 1464039

#CVE-2018-12367: Timing attack mitigation of PerformanceNavigationTiming

Reporter
    Andrea Marchesini
Impact
    moderate

Description

In the previous mitigations for Spectre, the resolution or precision of various methods was reduced to counteract the ability to measure precise time intervals. In that work, PerformanceNavigationTiming was not adjusted but it was found that it could be used as a precision timer.
References

    Bug 1462891

#CVE-2018-12368: No warning when opening executable SettingContent-ms files

Reporter
    Abdulrahman Alqabandi
Impact
    moderate

Description

Windows 10 does not warn users before opening executable files with the SettingContent-ms extension even when they have been downloaded from the internet and have the "Mark of the Web." Without the warning, unsuspecting users unfamiliar with this new file type might run an unwanted executable. This also allows a WebExtension with the limited downloads.open permission to execute arbitrary code without user interaction on Windows 10 systems
Note: this issue only affects Windows operating systems. Other operating systems are unaffected.
References

    Bug 1468217
    The Tale of SettingContent-ms Files

#CVE-2018-5187: Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, and Thunderbird 60

Reporter
    Mozilla developers and community
Impact
    critical

Description

Mozilla developers and community members Christian Holler, Sebastian Hengst, Nils Ohlmeier, Jon Coppeard, Randell Jesup, Ted Campbell, Gary Kwong, and Jean-Yves Avenard reported memory safety bugs present in Firefox 60 and Firefox ESR 60. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
References

    Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, and Thunderbird 60

#CVE-2018-5188: Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, Firefox ESR 52.9, and Thunderbird 60

Reporter
    Mozilla developers and community
Impact
    critical

Description

Mozilla developers and community members Alex Gaynor, Christoph Diehl, Christian Holler, Jason Kratzer, David Major, Jon Coppeard, Nicolas B. Pierron, Jason Kratzer, Marcia Knous, and Ronald Crane reported memory safety bugs present in Firefox 60, Firefox ESR 60, and Firefox ESR 52.8. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
References

    Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, Firefox ESR 52.9, and Thunderbird 60
Comment 24 Swamp Workflow Management 2018-08-10 13:08:45 UTC
SUSE-SU-2018:2298-1: An update that fixes 20 vulnerabilities is now available.

Category: security (important)
Bug References: 1092548,1096449,1098998
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12368,CVE-2018-5150,CVE-2018-5154,CVE-2018-5155,CVE-2018-5156,CVE-2018-5157,CVE-2018-5158,CVE-2018-5159,CVE-2018-5168,CVE-2018-5178,CVE-2018-5183,CVE-2018-5188,CVE-2018-6126
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    MozillaFirefox-52.9.0esr-3.7.12
Comment 25 Swamp Workflow Management 2018-08-14 16:10:06 UTC
SUSE-SU-2018:2322-1: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1098998
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12368,CVE-2018-5156,CVE-2018-5188
Sources used:
SUSE OpenStack Cloud 7 (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Linux Enterprise Server 12-SP3 (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Linux Enterprise Server 12-LTSS (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    MozillaFirefox-52.9.0esr-109.38.2
SUSE Enterprise Storage 4 (src):    MozillaFirefox-52.9.0esr-109.38.2
Comment 26 Swamp Workflow Management 2018-08-14 19:07:57 UTC
SUSE-SU-2018:2325-1: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1098998
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12368,CVE-2018-5156,CVE-2018-5188
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    MozillaFirefox-52.9.0esr-72.38.6
SUSE Linux Enterprise Server 11-SP4 (src):    MozillaFirefox-52.9.0esr-72.38.6
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    MozillaFirefox-52.9.0esr-72.38.6
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    MozillaFirefox-52.9.0esr-72.38.6
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    MozillaFirefox-52.9.0esr-72.38.6
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    MozillaFirefox-52.9.0esr-72.38.6
Comment 27 Swamp Workflow Management 2018-08-15 13:08:51 UTC
openSUSE-SU-2018:2330-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1020631,1062195,1076907,1077291,1098998
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-5156,CVE-2018-5188
Sources used:
openSUSE Leap 42.3 (src):    seamonkey-2.49.4-13.3.2
openSUSE Leap 15.0 (src):    seamonkey-2.49.4-lp150.2.3.2
Comment 28 Swamp Workflow Management 2018-09-03 20:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/632920 15.0+42.3+Backports:SLE-12 / MozillaThunderbird
Comment 30 Swamp Workflow Management 2018-09-08 10:10:54 UTC
openSUSE-SU-2018:2658-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1084603,1098998
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12361,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12367,CVE-2018-12371,CVE-2018-5156,CVE-2018-5187,CVE-2018-5188
Sources used:
openSUSE Leap 42.3 (src):    MozillaThunderbird-60.0-74.1
openSUSE Leap 15.0 (src):    MozillaThunderbird-60.0-lp150.3.14.1
Comment 31 Swamp Workflow Management 2018-09-22 07:22:30 UTC
openSUSE-SU-2018:2807-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1020631,1062195,1076907,1077291,1098998
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-5156,CVE-2018-5188
Sources used:
openSUSE Backports SLE-15 (src):    seamonkey-2.49.4-bp150.3.3.1
Comment 32 Swamp Workflow Management 2018-10-04 19:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/640013 15.0+42.3 / MozillaThunderbird
Comment 35 Swamp Workflow Management 2018-10-06 16:08:32 UTC
openSUSE-SU-2018:3051-1: An update that fixes 20 vulnerabilities is now available.

Category: security (important)
Bug References: 1066489,1084603,1098998,1107343,1107772,1109363,1109379
CVE References: CVE-2017-16541,CVE-2018-12359,CVE-2018-12360,CVE-2018-12361,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12367,CVE-2018-12371,CVE-2018-12376,CVE-2018-12377,CVE-2018-12378,CVE-2018-12383,CVE-2018-12385,CVE-2018-16541,CVE-2018-5156,CVE-2018-5187,CVE-2018-5188
Sources used:
openSUSE Leap 42.3 (src):    MozillaThunderbird-60.2.1-77.2
openSUSE Leap 15.0 (src):    MozillaThunderbird-60.2.1-lp150.3.19.1
Comment 36 Swamp Workflow Management 2018-10-18 16:08:35 UTC
SUSE-SU-2018:2322-2: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1098998
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12368,CVE-2018-5156,CVE-2018-5188
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    MozillaFirefox-52.9.0esr-109.38.2
Comment 37 Swamp Workflow Management 2018-10-19 16:25:11 UTC
SUSE-SU-2018:3247-1: An update that fixes 19 vulnerabilities is now available.

Category: security (important)
Bug References: 1066489,1084603,1098998,1107343,1107772,1109363,1109379
CVE References: CVE-2017-16541,CVE-2018-12359,CVE-2018-12360,CVE-2018-12361,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12367,CVE-2018-12371,CVE-2018-12376,CVE-2018-12377,CVE-2018-12378,CVE-2018-12383,CVE-2018-12385,CVE-2018-5156,CVE-2018-5187,CVE-2018-5188
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    MozillaThunderbird-60.2.1-3.13.1
Comment 38 Swamp Workflow Management 2018-11-09 14:10:45 UTC
openSUSE-SU-2018:3687-1: An update that fixes 25 vulnerabilities is now available.

Category: security (important)
Bug References: 1066489,1084603,1098998,1107343,1107772,1109363,1109379,1112852
CVE References: CVE-2017-16541,CVE-2018-12359,CVE-2018-12360,CVE-2018-12361,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12367,CVE-2018-12371,CVE-2018-12376,CVE-2018-12377,CVE-2018-12378,CVE-2018-12383,CVE-2018-12385,CVE-2018-12389,CVE-2018-12390,CVE-2018-12391,CVE-2018-12392,CVE-2018-12393,CVE-2018-16541,CVE-2018-5156,CVE-2018-5187,CVE-2018-5188
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    MozillaThunderbird-60.3.0-74.2
Comment 40 Marcus Meissner 2019-02-25 13:14:41 UTC
released
Comment 42 OBSbugzilla Bot 2021-07-08 07:30:34 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/904702 15.3 / seamonkey
Comment 43 OBSbugzilla Bot 2021-07-22 12:30:35 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/907731 15.3 / seamonkey
Comment 44 OBSbugzilla Bot 2021-08-26 17:40:35 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/914429 15.3 / seamonkey
Comment 45 OBSbugzilla Bot 2021-09-28 18:40:36 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/922046 15.3 / seamonkey
Comment 46 OBSbugzilla Bot 2021-11-16 11:40:39 UTC
This is an autogenerated message for OBS integration:
This bug (1098998) was mentioned in
https://build.opensuse.org/request/show/931737 15.3 / seamonkey